Bug 176387 - cad/electric-ng update and maintainer change
cad/electric-ng update and maintainer change
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Felippe de Meirelles Motta
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-24 03:30 UTC by danilogondolfo
Modified: 2013-02-26 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (6.57 KB, patch)
2013-02-24 03:30 UTC, danilogondolfo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description danilogondolfo 2013-02-24 03:30:00 UTC
cad/electric-ng update.

Changes:
- Update from 8.11 to 9.03
- Add desktop entry
- Maintainer change

Fix: Patch attached with submission follows:
Comment 1 Felippe de Meirelles Motta freebsd_committer 2013-02-25 21:43:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 2 dfilter freebsd_committer 2013-02-26 21:07:04 UTC
Author: lippe
Date: Tue Feb 26 21:06:55 2013
New Revision: 313005
URL: http://svnweb.freebsd.org/changeset/ports/313005

Log:
  - Update to 9.03.
  - Add desktop entry
  - Pass maintainership to submitter
  
  PR:		ports/176387
  Submitted by:	Danilo Egea Gondolfo <danilogondolfo@gmail.com>

Modified:
  head/cad/electric-ng/Makefile   (contents, props changed)
  head/cad/electric-ng/distinfo   (contents, props changed)
  head/cad/electric-ng/pkg-descr   (contents, props changed)

Modified: head/cad/electric-ng/Makefile
==============================================================================
--- head/cad/electric-ng/Makefile	Tue Feb 26 20:40:39 2013	(r313004)
+++ head/cad/electric-ng/Makefile	Tue Feb 26 21:06:55 2013	(r313005)
@@ -1,21 +1,23 @@
 # Created by: Stanislav Sedov <ssedov@mbsd.msk.ru>
 # $FreeBSD$
-#
 
-PORTNAME=	electric-ng
-PORTVERSION=	8.11
-PORTREVISION=	0
+PORTNAME=	electric
+PORTVERSION=	9.03
 CATEGORIES=	cad java
 MASTER_SITES=	${MASTER_SITE_GNU} \
-		http://www.staticfreesoft.com/:1
+		http://www.staticfreesoft.com/:1 \
+		http://www.staticfreesoft.com/jmanual/:2
 MASTER_SITE_SUBDIR=	${PORTNAME:S/-ng//}
-DISTNAME=	electric-${PORTVERSION}
-EXTRACT_SUFX=	.jar
+PKGNAMESUFFIX=	-ng
+EXTRACT_SUFX=
+DISTFILES+=	${PORTNAME}Binary-${PORTVERSION}.jar
 EXTRACT_ONLY=
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	danilogondolfo@gmail.com
 COMMENT=	A sophisticated VLSI design system
 
+EXTRACT_DEPENDS=	unzip:${PORTSDIR}/archivers/unzip
+
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+
 NO_BUILD=	yes
@@ -25,17 +27,21 @@ SUB_LIST+=	LIBFILES="${LIBFILES}" \
 		JARFILE="${JARFILE}"
 SUB_FILES=	electric-ng
 
-OPTIONS_DEFINE=	BSH 3D IRSIM ANIM AXIS RUSSIAN
+OPTIONS_DEFINE=	BSH 3D IRSIM MANUAL
 BSH_DESC=	Enable embedded java interpreter via BSH
 3D_DESC=	Enable 3D visualization via Java3D
-IRSIM_DESC=	Install IRSIM plugin
-ANIM_DESC=	Install 3D animation plugin
-AXIS_DESC=	Install 3D Axis Controller plugin
-RUSSIAN_DESC=	Install Russian manual
+IRSIM_DESC=	Install IRSIM and 3D animation plugin
+MANUAL_DESC=	Install documentation
+
+OPTIONS_DEFAULT=	IRSIM MANUAL 3D
 
-JARFILE=	${DISTNAME}${EXTRACT_SUFX}
+JARFILE=	${PORTNAME}Binary-${PORTVERSION}.jar
 J3DLIB=		${LOCALBASE}/share/java/java3d/jar/j3dcore.jar
-PLUGINDIR=	${PREFIX}/libexec/electric/
+PLUGINDIR=	${PREFIX}/libexec/${PORTNAME}${PKGNAMESUFFIX}
+
+DESKTOP_ENTRIES="Electric-NG" "${COMMENT}" "${PORTNAME}${PKGNAMESUFFIX}" \
+			"${PORTNAME}${PKGNAMESUFFIX}" "Development;Electronics;Engineering;" ${FALSE}
+PLIST_FILES+=	share/pixmaps/${PORTNAME}${PKGNAMESUFFIX}.png
 
 .include <bsd.port.options.mk>
 
@@ -44,44 +50,48 @@ RUN_DEPENDS+=	${JAVALIBDIR}/bsh.jar:${PO
 LIBFILES+=	${JAVALIBDIR}/bsh.jar
 .endif
 
-.if ${PORT_OPTIONS:MAXIS}
-WITH_3D=	yes
-PLUGINS+=	electricJava3D-8.11
-.endif
-
-.if ${PORT_OPTIONS:MANIM}
-WITH_3D=	yes
-RUN_DEPENDS+=	${JAVALIBDIR}/jmf.jar:${PORTSDIR}/java/jmf
-PLUGINS+=	electricJMF-8.11
-.endif
-
 .if ${PORT_OPTIONS:M3D} || exists(${J3DLIB})
 RUN_DEPENDS+=	${J3DLIB}:${PORTSDIR}/java/java3d
 .endif
 
 .if ${PORT_OPTIONS:MIRSIM}
-PLUGINS+=	electricIRSIM-8.11
+RUN_DEPENDS+=	${JAVALIBDIR}/jmf.jar:${PORTSDIR}/java/jmf
+PLUGINS+=	electricSFS-9.03
+LIBFILES+=	${PREFIX}/libexec/${PORTNAME}${PKGNAMESUFFIX}/electricSFS-9.03.jar
 .endif
 
-.if ${PORT_OPTIONS:MRUSSIAN}
-PLUGINS+=	electricRussianManual-8.11
+.if ${PORT_OPTIONS:MMANUAL}
+DISTFILES+=	ElectricManual-9.03.pdf:2
+PLIST_FILES+=	share/doc/${PORTNAME}${PKGNAMESUFFIX}/ElectricManual-9.03.pdf
+PLIST_DIRS+=	share/doc/${PORTNAME}${PKGNAMESUFFIX}
 .endif
 
 .if defined(PLUGINS)
-LIBFILES+=	${PLUGINS:S,$,.jar,:S,^,${PLUGINDIR}/,}
-DISTFILES=	${PLUGINS:S,$,.jar,:S,$,:1,} ${DISTNAME}${EXTRACT_SUFX}
-PLIST_FILES+=	${PLUGINS:S,$,.jar,:S,^,libexec/electric/,}
+DISTFILES+=	electricSFS-9.03.jar:1
+PLIST_FILES+=	libexec/${PORTNAME}${PKGNAMESUFFIX}/electricSFS-9.03.jar
+PLIST_DIRS+=	libexec/${PORTNAME}${PKGNAMESUFFIX}
 .endif
 
+post-extract:
+	@(cd ${DISTDIR}/${DIST_SUBDIR} && ${UNZIP_CMD} -d ${WRKDIR} ${PORTNAME}Binary-${PORTVERSION}.jar \
+		com/sun/electric/tool/user/help/helphtml/iconplug.png)
+
 do-install:
 	@${MKDIR} ${JAVAJARDIR}
+.if ${PORT_OPTIONS:MMANUAL}
+	@${MKDIR} ${DOCSDIR}${PKGNAMESUFFIX}
+	${INSTALL_DATA} ${DISTDIR}/ElectricManual-9.03.pdf ${DOCSDIR}${PKGNAMESUFFIX}
+.endif
 	${INSTALL_DATA} ${DISTDIR}/${JARFILE} ${JAVAJARDIR}
 	${INSTALL_SCRIPT} ${WRKDIR}/electric-ng ${PREFIX}/bin
 
+	${INSTALL_DATA} ${WRKDIR}/com/sun/electric/tool/user/help/helphtml/iconplug.png \
+		${PREFIX}/share/pixmaps/${PORTNAME}${PKGNAMESUFFIX}.png
+
 .if defined(PLUGINS)
 	# Install plugins
 	@${MKDIR} ${PLUGINDIR}/
-	${INSTALL_DATA} ${PLUGINS:S,^,${DISTDIR}/,:S,$,.jar,} ${PLUGINDIR}/
+	${INSTALL_DATA} ${DISTDIR}/electricSFS-9.03.jar ${PLUGINDIR}/
 .endif
 
 .include <bsd.port.mk>

Modified: head/cad/electric-ng/distinfo
==============================================================================
--- head/cad/electric-ng/distinfo	Tue Feb 26 20:40:39 2013	(r313004)
+++ head/cad/electric-ng/distinfo	Tue Feb 26 21:06:55 2013	(r313005)
@@ -1,10 +1,6 @@
-SHA256 (electricJava3D-8.11.jar) = e1b7a24036300313416ce554b4fb345bc69fed7b41df89302e86b5bcbfacf066
-SIZE (electricJava3D-8.11.jar) = 5358
-SHA256 (electricJMF-8.11.jar) = 17a88fcd346500d2daaa41015df2d13c78189c610b789c76f25da3165d2362f4
-SIZE (electricJMF-8.11.jar) = 13480
-SHA256 (electricIRSIM-8.11.jar) = a06a4e7d1701ef287137c7eefac29af764f314ef4a3d86b8699965be1d0dea44
-SIZE (electricIRSIM-8.11.jar) = 151501
-SHA256 (electricRussianManual-8.11.jar) = a9b76748b65ded72412c949514e5c240ffa0233f69451887853ba71e5f268550
-SIZE (electricRussianManual-8.11.jar) = 1931050
-SHA256 (electric-8.11.jar) = 6c78d5f149e29bd14bfeb0dbbaa941b9d4e60c9417a427f6ad2055d7cd42b1af
-SIZE (electric-8.11.jar) = 17329083
+SHA256 (electricBinary-9.03.jar) = ccd4ea6b9b2d11870e181c951f5393e9c3eb5d881dde5588bb090610d99bcff6
+SIZE (electricBinary-9.03.jar) = 23591444
+SHA256 (ElectricManual-9.03.pdf) = 68f0de327f959e0b54b90af6c5544591341d8b2d44f7bc10226498a14575a14c
+SIZE (ElectricManual-9.03.pdf) = 3428348
+SHA256 (electricSFS-9.03.jar) = 4056019a021a8898f957c54fb4d892826fe9401f608b3770b9b39cc41e4ba398
+SIZE (electricSFS-9.03.jar) = 193588

Modified: head/cad/electric-ng/pkg-descr
==============================================================================
--- head/cad/electric-ng/pkg-descr	Tue Feb 26 20:40:39 2013	(r313004)
+++ head/cad/electric-ng/pkg-descr	Tue Feb 26 21:06:55 2013	(r313005)
@@ -4,28 +4,7 @@ many forms of circuit design, including:
  - Schematic drawing 
  - Hardware description language specifications 
 
-Electric has these CAD operations:  
- - Design rule checking
- - Electrical rule checking
- - Simulation and simulation interface (many options)
- - Generation (ROMs, PLAs, Pad Frames, etc.)
- - Compaction
- - Routing 
- - VHDL compilation
- - Silicon compilation
- - Network consistency checking (LVS)
- - Logical Effort analysis
- - Project Management
-       
-Electric can display these types of design:
- - MOS (many CMOS and nMOS variations)
- - Bipolar and BiCMOS
- - Schematics and printed circuits
- - Digital filters, Temporal logic
- - Artwork
-
 For real functionality, one should consider installing
 support simulation software such as cad/spice.
 
-Author:	Static Free Software & Sun Microsystems, Inc.
 WWW:	http://www.staticfreesoft.com/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Felippe de Meirelles Motta freebsd_committer 2013-02-26 21:50:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!